<p>
  Težinski digitalno-analogni pretvornik konceptualno je najjednostavniji pretvornik
  koji se sastoji od težinske mreže otpornika i jednog operacijskog pojačala
  (diferencijskog pojačala).
</p>

<p>
  Evo odmah jedan primjer u nastavku. Radi se o pretvorniku za kod s težinama 8, 4, 2 i 1.
</p>

<script>
@#page-include#(elements.js)
@#page-include#(canvasActRegUtil.js)
@#page-include#(tezinskiDA.js)
</script>

<div style="width: 400px; height: 235px; text-align: center;">
<canvas id="myCanvas1" width="400" height="235"></canvas>
</div>

<script>
  new TezinskiDA([8,4,2,1],"myCanvas1");
</script>

<p>
  Kod težinskog DA-pretvornika, s lijeve strane se nalazi mreža paralelnih grana u kojima
  se nalaze serijski spojene sklopka i otpor iznosa R/<i>w</i> gdje je <i>w</i> težina.
  Sve grane su s lijeve strane spojene na referentni napon a s desne strane na (-) stezaljku
  operacijskog pojačala. Plus stezaljka operacijskog pojačala spojena je na masu. Prisjetite
  se: zbog toga će potencijal (-) stezaljke također biti 0V.
</p>

<p>
  Idemo se malo igrati. Uključite sklopku a<sub>0</sub>. Time ste na otpornik s lijeve
  strane doveli potencijal U<sub>ref</sub> a s desne strane 0V; napon na tom otporniku
  tada je upravo U<sub>ref</sub>, pa kroz njega teče struja U<sub>ref</sub>/(R/1) = U<sub>ref</sub>/R.
  Pravimo li se da je a<sub>0</sub> Booleova zastavica koja poprima vrijednost 0 (sklopka
  isključena) odnosno 1 (sklopka uključena), možemo pisati da je struja kroz tu granu jednaka
  a<sub>0</sub> U<sub>ref</sub>/R. Uočite da ta struja dalje odlazi kroz Rf u izlaz operacijskog
  pojačala.
</p>
<p>
  Uključite dodatno i sklopku a<sub>1</sub>. Time ste na otpornik u toj grani s lijeve
  strane doveli potencijal U<sub>ref</sub> a s desne strane 0V; napon na tom otporniku
  tada je U<sub>ref</sub>, pa kroz njega teče struja U<sub>ref</sub>/(R/2) = 2U<sub>ref</sub>/R.
  Možemo pisati da je struja kroz tu granu jednaka
  a<sub>1</sub> 2U<sub>ref</sub>/R. Uočite da ta struja dalje odlazi kroz Rf u izlaz operacijskog
  pojačala. Uočite da se te dvije struje sumiraju kroz otpornik Rf.
</p>
<p>
  Kako imamo n=4 sklopke, struja I<sub>N</sub> koja teče kroz otpornik Rf bit će jednaka:
\[
  I_N = \sum_{i=0}^{n-1} a_i \cdot \frac{U_{\text{ref}}}{R/w_i} = \frac{U_{\text{ref}}}{R} \sum_{i=0}^{n-1} a_i \cdot w_i = \frac{U_{\text{ref}}}{R} \cdot N
\]
  gdje je \(w_i\) težina <i>i</i>-te grane a N vrijednost broja (uočite da se radi o sumi znamenke
  puta njezina težina, što je upravo vrijednost broja). Za sklop na slici, \(w_i=2^i\), pa je suma
  \(\sum_{i=0}^{n-1} a_i \cdot w_i\) zapravo \(a_3 \cdot 8 + a_2 \cdot 4 + a_1 \cdot 2 + a_0 \cdot 1\).
</p>

<p>
  Struja I<sub>N</sub> prolazi kroz otpornik Rf i na njemu stvara pad napona. Potencijal izlaza
  jednak je 0V minus taj pad napona, pa vrijedi:
\[
  U_{\text{izl}} = -I_N \cdot R_f = - U_{\text{ref}} \cdot \frac{R_f}{R} \cdot N.
\]  
  Ovime je jasno vidljivo da je izlazni napon proporcionalan broju čiji su bitovi \(a_{n-1} \ldots a_0\) 
  i težine \(w_{n-1} \ldots w_0\), uz faktor proporcionalnosti \(- U_{\text{ref}} \cdot \frac{R_f}{R}\).
  Za prikazan sklop vrijedi \(U_{\text{ref}} = 10V\), \(R_f = 1k\), \(R = 20k\) te je faktor
  proporcionalnosti -0.5. Tako se primjerice za broj 0011 što je 3 dobiva \(3 \cdot (-0.5V) = -1.5V\) - provjerite.
</p>




